GET api/ItemRate/GetDistributorTypes?DairyPlantID={DairyPlantID}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
DairyPlantID

integer

Required

Body Parameters

None.

Response Information

Resource Description

Collection of SupplierType
NameDescriptionTypeAdditional information
Id

integer

None.

DistributorType

string

Required

String length: inclusive between 0 and 30

Status

boolean

None.

CreatedOn

date

None.

CreatedBy

integer

None.

UpdatedOn

date

None.

UpdatedBy

integer

None.

IsDeleted

boolean

None.

DairyPlantID

integer

None.

Response Formats

application/json, text/json

Sample:
[
  {
    "id": 1,
    "distributorType": "sample string 2",
    "status": true,
    "createdOn": "2026-04-13T20:17:53.1125882+05:30",
    "createdBy": 5,
    "updatedOn": "2026-04-13T20:17:53.1125882+05:30",
    "updatedBy": 7,
    "isDeleted": true,
    "dairyPlantID": 9
  },
  {
    "id": 1,
    "distributorType": "sample string 2",
    "status": true,
    "createdOn": "2026-04-13T20:17:53.1125882+05:30",
    "createdBy": 5,
    "updatedOn": "2026-04-13T20:17:53.1125882+05:30",
    "updatedBy": 7,
    "isDeleted": true,
    "dairyPlantID": 9
  }
]

application/xml, text/xml

Sample:
<ArrayOfSupplierType xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/DistributionApplication.Entities">
  <SupplierType>
    <CreatedBy>5</CreatedBy>
    <CreatedOn>2026-04-13T20:17:53.1125882+05:30</CreatedOn>
    <DairyPlantID>9</DairyPlantID>
    <DistributorType>sample string 2</DistributorType>
    <Id>1</Id>
    <IsDeleted>true</IsDeleted>
    <Status>true</Status>
    <UpdatedBy>7</UpdatedBy>
    <UpdatedOn>2026-04-13T20:17:53.1125882+05:30</UpdatedOn>
  </SupplierType>
  <SupplierType>
    <CreatedBy>5</CreatedBy>
    <CreatedOn>2026-04-13T20:17:53.1125882+05:30</CreatedOn>
    <DairyPlantID>9</DairyPlantID>
    <DistributorType>sample string 2</DistributorType>
    <Id>1</Id>
    <IsDeleted>true</IsDeleted>
    <Status>true</Status>
    <UpdatedBy>7</UpdatedBy>
    <UpdatedOn>2026-04-13T20:17:53.1125882+05:30</UpdatedOn>
  </SupplierType>
</ArrayOfSupplierType>